Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1356267

Summary: CFME 4.1 appliance fail to perform logrotate for /vmdb/log and postgresql pg_log directory log files
Product: Red Hat CloudForms Management Engine Reporter: Thomas Hennessy <thenness>
Component: ApplianceAssignee: Joe Vlcek <jvlcek>
Status: CLOSED CURRENTRELEASE QA Contact: luke couzens <lcouzens>
Severity: high Docs Contact:
Priority: high    
Version: 5.6.0CC: abellott, benglish, cpelland, jdeubel, jhardy, jocarter, jprause, mfeifer, obarenbo, simaishi
Target Milestone: GAKeywords: TestOnly, ZStream
Target Release: 5.7.0   
Hardware: x86_64   
OS: Linux   
Whiteboard: appliance
Fixed In Version: 5.7.0.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1356705 1358384 (view as bug list) Environment:
Last Closed: 2017-01-11 20:15:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1356705, 1358384    

Description Thomas Hennessy 2016-07-13 20:44:29 UTC
Description of problem: log rotate is not being performed for the postgresql and CFME log files


Version-Release number of selected component (if applicable):5.6.0.13


How reproducible:


Steps to Reproduce:
1. startup the appliance
2. connect to a provider
3. wait > 24 hours to see that no logrotate files have been generated

Actual results:
postgresql.log, evm.log and all other *.log files in the /var/www/miq/vmdb/log directory continue to grow without any logrotate segments being generated.

Expected results:
logrotate files to begenerated for each of the files indicated above as well as other *.log files in the /var/www/vmdb/log directory

Additional info:
testing appliance that has been active > two weeks with all reports being executed every four hours is available to examine at address 10.10.181.236 with ssh credentials root/smartvm

Comment 2 Josh Carter 2016-07-13 20:59:08 UTC
I have confirmed this is reproducable on a migrated appliance from 5.5 to 5.6 
The logs stopped rotating after the migration was performed.

Comment 8 luke couzens 2016-10-07 09:16:51 UTC
Verified in 5.7.0.3